Index: TXM/trunk/bundles/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java
===================================================================
--- TXM/trunk/bundles/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.internalview.rcp/src/org/txm/internalview/rcp/handlers/BackToInternalView.java	(revision 3885)
@@ -51,7 +51,7 @@
 			}
 		}
 		catch (Exception e) {
-			System.err.println(InternalViewUIMessages.bind(InternalViewUIMessages.error_backto_internalview, e));
+			System.err.println(InternalViewUIMessages.bind(InternalViewUIMessages.error_backto_internalviewP0, e));
 			Log.printStackTrace(e);
 		}
 	}
Index: TXM/trunk/bundles/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 3885)
@@ -27,7 +27,7 @@
 	
 	public static String structuralProperties;
 	
-	public static String error_backto_internalview;
+	public static String error_backto_internalviewP0;
 	
 	static {
 		// initialize resource bundle
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/messages/EditionUIMessages.java	(revision 3885)
@@ -34,7 +34,7 @@
 
 	public static String warningColonUnknownedParameterIdEqualsP0; 
 
-	public static String error_while_reading;
+	public static String error_while_readingP0P1;
 
 	public static String back; 
 
@@ -95,10 +95,7 @@
 
 	public static String ErrorNoTextAvailableInTheP0Corpus;
 
-	public static String ErrorNoTextFoundwithIDP0;
 
-	public static String ErrorNoTextFoundWiththeP0Id;
-
 	public static String ErrorNoTextFoundWithTheP0Id;
 
 	public static String ErrorP0;
@@ -129,7 +126,7 @@
 
 	public static String WarningFoundMoreThanOneWordForIdP0InTheP1Text;
 
-	public static String WarningNoWordFoundForIdPOInTheP1Text;
+	public static String WarningNoWordFoundForIdP0InTheP1Text;
 
 	public static String ZoomIn;
 
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/EditionPanel.java	(revision 3885)
@@ -17,6 +17,7 @@
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.ISelectionChangedListener;
 import org.eclipse.jface.viewers.ISelectionProvider;
+import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.browser.Browser;
 import org.eclipse.swt.browser.ProgressEvent;
@@ -291,7 +292,7 @@
 		}
 		catch (Exception e) {
 			String error = e.getMessage();
-			Log.severe(EditionUIMessages.BrowserEvaluateErrorP0 + e);
+			Log.severe(NLS.bind(EditionUIMessages.BrowserEvaluateErrorP0, e));
 			Log.printStackTrace(e);
 		}
 		return null;
@@ -305,7 +306,7 @@
 			return getBrowser().execute(code);
 		}
 		catch (Throwable e) {
-			Log.severe(EditionUIMessages.BrowserExecuteErrorP0 + e);
+			Log.severe(NLS.bind(EditionUIMessages.BrowserExecuteErrorP0, e));
 			Log.printStackTrace(e);
 		}
 		return false;
@@ -328,7 +329,7 @@
 			functions = IOUtils.getText(r, "UTF-8"); //$NON-NLS-1$
 		}
 		catch (Exception e) {
-			Log.severe(EditionUIMessages.bind(EditionUIMessages.error_while_reading, functionsFile, e.getLocalizedMessage()));
+			Log.severe(EditionUIMessages.bind(EditionUIMessages.error_while_readingP0P1, functionsFile, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 3885)
@@ -324,7 +324,7 @@
 	public void goToText(String textId) {
 		Text newText = this.project.getText(textId);
 		if (newText == null) {
-			Log.warning(EditionUIMessages.ErrorNoTextFoundwithIDP0+textId);
+			Log.warning(NLS.bind(EditionUIMessages.ErrorNoTextFoundWithTheP0Id, textId));
 			return;
 		} else {
 			setText(newText, true);
@@ -872,7 +872,7 @@
 		}
 		text = this.corpus.getProject().getText(textId);
 		if (text == null) {
-			Log.warning(EditionUIMessages.ErrorNoTextFoundWithTheP0Id+textId);
+			Log.warning(NLS.bind(EditionUIMessages.ErrorNoTextFoundWithTheP0Id, textId));
 			return false;
 		}
 		try {
@@ -880,7 +880,7 @@
 			setText(text,  false);
 		}
 		catch (Exception e) {
-			System.out.println(EditionUIMessages.ErrorP0IsNotReadyToUse + text.getName() + " is not ready to use"); //$NON-NLS-2$ //$NON-NLS-1$
+			System.out.println(NLS.bind(EditionUIMessages.ErrorP0IsNotReadyToUse, text.getName())); //$NON-NLS-2$ //$NON-NLS-1$
 			return false;
 		}
 		
@@ -924,7 +924,7 @@
 		
 		Text text = this.corpus.getProject().getText(textId);
 		if (text == null) {
-			Log.warning(EditionUIMessages.ErrorNoTextFoundWiththeP0Id+textId);
+			Log.warning(NLS.bind(EditionUIMessages.ErrorNoTextFoundWithTheP0Id, textId));
 			return false;
 		}
 		
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/editors/SearchEditionToolbar.java	(revision 3885)
@@ -197,7 +197,7 @@
 	}
 
 	protected void openConcordance() {
-		System.out.println(EditionUIMessages.OpeningConcordancesOfQueryP0+this.searchText.getQuery());
+		System.out.println(NLS.bind(EditionUIMessages.OpeningConcordancesOfQueryP0, this.searchText.getQuery()));
 	}
 
 	protected void closeSearch() {
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 3885)
@@ -147,17 +147,17 @@
 		MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(corpusid);
 		
 		if (corpus == null) {
-			System.out.println(EditionUIMessages.ErrorNoCorpusWithIDP0 + corpusid);
+			Log.warning(EditionUIMessages.ErrorNoCorpusWithIDP0 + corpusid);
 		}
 		
 		if (editions != null && !corpus.getProject().getBuiltEditionNames().containsAll(editions)) {
-			System.out.println(EditionUIMessages.WarningCorpusHasNoEditionNamedP0 + editions);
+			Log.warning(EditionUIMessages.WarningCorpusHasNoEditionNamedP0 + editions);
 			editions = Arrays.asList("default"); //$NON-NLS-1$
 		}
 		
 		if (!corpus.getProject().getBuiltEditionNames().containsAll(editions)) {
-			System.out.println(EditionUIMessages.ErrorCorpusHasNoDefaultEdition);
-			System.out.println(EditionUIMessages.AvailablesP0 + corpus.getProject().getEditionNames());
+			Log.warning(EditionUIMessages.ErrorCorpusHasNoDefaultEdition);
+			Log.warning(EditionUIMessages.AvailablesP0 + corpus.getProject().getEditionNames());
 			return false;
 		}
 		
@@ -175,14 +175,14 @@
 		if (textid != null) {
 			text = corpus.getProject().getText(textid);
 			if (text == null) {
-				System.out.println(EditionUIMessages.ErrorCorpusHasNoTextWithIDP0 + textid);
+				Log.warning(EditionUIMessages.ErrorCorpusHasNoTextWithIDP0 + textid);
 				return false;
 			}
 		}
 		else {
 			text = corpus.getProject().getText(corpus.getCorpusTextIdsList()[0]);
 			if (text == null) {
-				System.out.println(EditionUIMessages.ErrorCorpusHasNoText);
+				Log.warning(EditionUIMessages.ErrorCorpusHasNoText);
 				return false;
 			}
 		}
Index: TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java
===================================================================
--- TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/SendEditionTo.java	(revision 3885)
@@ -95,7 +95,7 @@
 						QueryResult rez = corpus.query(cqlQuery, "TMP", false); //$NON-NLS-1$
 						
 						if (rez.getNMatch() == 0) {
-							Log.warning(NLS.bind(EditionUIMessages.WarningNoWordFoundForIdPOInTheP1Text, wordids[0], textid));
+							Log.warning(NLS.bind(EditionUIMessages.WarningNoWordFoundForIdP0InTheP1Text, wordids[0], textid));
 							return null;
 						} else if (rez.getNMatch() > 1) {
 							Log.warning(NLS.bind(EditionUIMessages.WarningFoundMoreThanOneWordForIdP0InTheP1Text, wordids[0], textid));
@@ -131,7 +131,7 @@
 					}
 				}
 				catch (Exception e) {
-					Log.warning(EditionUIMessages.ErrorP0 + e);
+					Log.warning(NLS.bind(EditionUIMessages.ErrorP0, e));
 					Log.printStackTrace(e);
 				}
 			}
Index: TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FindMessagesToBind.java
===================================================================
--- TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FindMessagesToBind.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/FindMessagesToBind.java	(revision 3885)
@@ -8,6 +8,7 @@
 import java.util.ArrayList;
 import java.util.Collections;
 import java.util.Comparator;
+import java.util.HashMap;
 import java.util.LinkedHashMap;
 import java.util.Set;
 import java.util.TreeSet;
@@ -184,8 +185,47 @@
 				// System.out.println(" File: "+javaFile);
 				total += processSourceFile(javaFile, true);
 			}
+			
+			PluginMessagesManager messages = h.get(project);
+			for (File langFile : messages.getLangs().keySet()) {
+				String lang = messages.getFile2lang().get(langFile);
+				HashMap<String, String> lmessages = messages.getMessagesForLang(langFile);
+				for (String key : messages.getMessageKeys()) {
+					String message = lmessages.get(key);
+					if (message == null) continue;
+					if (key.contains("P0")  && !message.contains("{0}")) {
+						writer.println("\tMissing brakets: lang=" + lang+"->"+key+"="+message);
+						total++;
+					} else if (key.contains("P1")  && !message.contains("{1}")) {
+						writer.println("\tMissing brakets: lang=" + lang+"->"+key+"="+message);
+						total++;
+					} else if (key.contains("P2")  && !message.contains("{2}")) {
+						writer.println("\tMissing brakets: lang=" + lang+"->"+key+"="+message);
+						total++;
+					} else if (key.contains("P3")  && !message.contains("{3}")) {
+						writer.println("\tMissing brakets: lang=" + lang+"->"+key+"="+message);
+						total++;
+					}
+					
+					if (!key.contains("P0")  && message.contains("{0}")) {
+						writer.println("\tMissing PN: lang=" + lang+"->"+key+"="+message);
+						total++;
+					} else if (!key.contains("P1")  && message.contains("{1}")) {
+						writer.println("\tMissing PN: lang=" + lang+"->"+key+"="+message);
+						total++;
+					} else if (!key.contains("P2")  && message.contains("{2}")) {
+						writer.println("\tMissing PN: lang=" + lang+"->"+key+"="+message);
+						total++;
+					} else if (!key.contains("P3")  && message.contains("{3}")) {
+						writer.println("\tMissing PN: lang=" + lang+"->"+key+"="+message);
+						total++;
+					}
+
+				}
+			}
 		}
 		
+		
 		writer.close();
 		
 		if (total > 0) {
Index: TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 3885)
@@ -537,6 +537,14 @@
 	}
 	
 	/**
+	 * @param lang
+	 * @return the map of the messages keys and values for the specified language.
+	 */
+	public HashMap<String, String> getMessagesForLang(File langFile) {
+		return langs.get(langFile);
+	}
+	
+	/**
 	 * @return the map of the messages keys and values for the main language.
 	 */
 	public HashMap<String, String> getMessagesForDefaultLang() {
Index: TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/WorkspaceMessagesManager.java	(revision 3885)
@@ -74,7 +74,7 @@
 	 * @throws UnsupportedEncodingException 
 	 */
 	public WorkspaceMessagesManager(boolean debug) throws UnsupportedEncodingException, FileNotFoundException, IOException {
-		this(new File(System.getProperty("user.dir")).getParentFile(), debug);
+		this(new File(System.getProperty("user.dir")).getParentFile().getParentFile(), debug);
 	}
 
 	/**
@@ -87,7 +87,7 @@
 	 */
 	public WorkspaceMessagesManager(File workspaceLocation, boolean debug) throws UnsupportedEncodingException, FileNotFoundException, IOException {
 
-		if (!new File(workspaceLocation, "org.txm.rcp").exists()) {
+		if (!new File(workspaceLocation, "bundles").exists()) {
 			throw new IllegalArgumentException("Workspace directory is not a RCP workspace: "+workspaceLocation);
 		}
 
@@ -106,7 +106,7 @@
 
 		System.out.println("Initializing project messages...");
 		ArrayList<File> files = new ArrayList<File>();
-		for (File project : workspaceLocation.listFiles(IOUtils.HIDDENFILE_FILTER)) {
+		for (File project : new File(workspaceLocation, "bundles").listFiles(IOUtils.HIDDENFILE_FILTER)) {
 			if (!project.isDirectory()) continue;
 			if (project.isHidden()) continue;
 			if (!project.getName().startsWith("org.txm")) continue;
Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/handlers/ComputeCA.java	(revision 3885)
@@ -93,7 +93,7 @@
 							public void run() {
 								
 								MessageDialog d = new MessageDialog(window.getShell(), 
-										TXMCoreMessages.error_error2, 
+										TXMCoreMessages.error_error, 
 										null, 
 										NLS.bind(CAUIMessages.canNotComputeFactorialAnalysisWithOnlyP0PartsTheMinimumIs4Parts, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok }, 0);
 								d.open();
@@ -110,12 +110,12 @@
 					lexicalTable = new LexicalTable(index);
 					
 					if (index.getPartition().getPartsCount() < 4) {
-						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error, CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
 						return null;
 					}
 					// FIXME: SJ: problem here because we need the index has been computed to make this check
 					if (index.hasBeenComputedOnce() && index.getAllLines().size() < 4) {
-						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error, CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
 						return null;
 					}
 					
@@ -127,12 +127,12 @@
 					
 					// FIXME: SJ: problem here because we need the LT has been computed to make this check
 					if (lexicalTable.hasBeenComputedOnce() && lexicalTable.getNColumns() < 4) {
-						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error, CAUIMessages.canNotComputeCAOnLexicalTableWithLessThan4Columns);
 						return null;
 					}
 					// FIXME: SJ: problem here because we need the LT has been computed to make this check
 					if (lexicalTable.hasBeenComputedOnce() && lexicalTable.getNRows() < 4) {
-						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error2, CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
+						MessageDialog.openError(window.getShell(), TXMCoreMessages.error_error, CAUIMessages.canNotComputeCAWithLessThan4RowsInTheTable);
 						return null;
 					}
 					
@@ -156,12 +156,12 @@
 				
 			}
 			catch (Throwable e) {
-				Log.severe(CAUIMessages.bind(CAUIMessages.error_opening, ca));
+				Log.severe(CAUIMessages.bind(CAUIMessages.error_openingP0, ca));
 				Log.printStackTrace(e);
 			}
 		}
 		catch (Throwable e) {
-			Log.severe(CAUIMessages.bind(CAUIMessages.error_cannot_compute_with, selection));
+			Log.severe(CAUIMessages.bind(CAUIMessages.error_cannot_compute_withP0, selection));
 			Log.printStackTrace(e);
 		}
 		return null;
Index: TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.ca.rcp/src/org/txm/ca/rcp/messages/CAUIMessages.java	(revision 3885)
@@ -55,9 +55,9 @@
 
 	public static String errorWhileOpeningCAEditorColonP0; 
 
-	public static String error_cannot_compute_with;
-	public static String error_cannot_compute_with_selection;
-	public static String error_opening;
+	public static String error_cannot_compute_withP0;
+	public static String error_cannot_compute_with_selectionP0;
+	public static String error_openingP0;
 
 	public static String SupplementaryRowNames;
 
Index: TXM/trunk/bundles/org.txm.ahc.rcp/src/org/txm/ahc/rcp/messages/AHCUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.rcp/src/org/txm/ahc/rcp/messages/AHCUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.ahc.rcp/src/org/txm/ahc/rcp/messages/AHCUIMessages.java	(revision 3885)
@@ -31,7 +31,7 @@
 	
 	public static String numberOfClustersColon;
 	
-	public static String error_canNotComputeAHCWith;
+	public static String error_canNotComputeAHCWithP0;
 	
 	static {
 		Utf8NLS.initializeMessages(BUNDLE_NAME, AHCUIMessages.class);
Index: TXM/trunk/bundles/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.ahc.rcp/src/org/txm/ahc/rcp/handlers/ComputeAHC.java	(revision 3885)
@@ -119,8 +119,8 @@
 				
 				Partition partition = (Partition) selection;
 				if (partition.getPartsCount() < 4) {
-					MessageDialog d = new MessageDialog(window.getShell(), TXMCoreMessages.error_error2, null,
-							NLS.bind(AHCUIMessages.error_canNotComputeAHCWith, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok }, 0);
+					MessageDialog d = new MessageDialog(window.getShell(), TXMCoreMessages.error_error, null,
+							NLS.bind(AHCUIMessages.error_canNotComputeAHCWithP0, partition.getPartsCount()), 0, new String[] { TXMCoreMessages.common_ok }, 0);
 					d.open();
 					return null;
 				}
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/messages/PropertiesCoreMessages.java	(revision 3885)
@@ -24,7 +24,7 @@
 	
 	public static String lexicalUnitsPropertiesMaxP0Values;
 	
-	public static String numberOfStructuralUnits;
+	public static String numberOfStructuralUnitsP0P1;
 	
 	public static String error;
 	
@@ -48,7 +48,7 @@
 	
 	public static String numberOfWordsP0;
 	
-	public static String numberOfWordProperties;
+	public static String numberOfWordPropertiesP0P1;
 	
 	public static String error_failedToAccessLexiconOfCorpusP0;
 	
Index: TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java
===================================================================
--- TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.properties.core/src/org/txm/properties/core/functions/CorpusPropertiesComputer.java	(revision 3885)
@@ -282,8 +282,8 @@
 		buff.append("<ul>\n"); //$NON-NLS-1$
 		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfWordsP0, NumberFormat.getInstance().format(numberOfWords)) + "</li>\n"); //$NON-NLS-1$ //$NON-NLS-2$
 
-		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfWordProperties, properties.size(), StringUtils.join(properties, ", ")) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
-		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfStructuralUnits, structures.size(), StringUtils.join(structures, ", ")) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
+		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfWordPropertiesP0P1, properties.size(), StringUtils.join(properties, ", ")) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
+		buff.append("<li>" + NLS.bind(PropertiesCoreMessages.numberOfStructuralUnitsP0P1, structures.size(), StringUtils.join(structures, ", ")) + "</li>\n"); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-1$
 		buff.append("</ul>\n"); //$NON-NLS-1$
 
 		return buff.toString();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 3885)
@@ -86,7 +86,7 @@
 	
 	public static String abortingLoadingOfPOACorpusWithTheSameNameAlreadyExists;
 	
-	public static String abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists;
+	public static String abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists;
 	
 	public static String aboutTXM;
 	
@@ -136,7 +136,7 @@
 	
 	public static String areYouSureYouWantToDeleteP0Colon;
 	
-	public static String argsColon;
+	public static String argsColonP0;
 	
 	public static String assign;
 	
@@ -148,7 +148,7 @@
 	
 	public static String binaryCorpusIsNotATXM079CorpusNoImportXmlFile;
 	
-	public static String binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile;
+	public static String theP0BinaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile;
 	
 	public static String buildEdition;
 	
@@ -168,7 +168,7 @@
 	
 	public static String cannotAskForTheSimpleTabWhenTheUserHasSelectedTheAdvancedTab;
 	
-	public static String cannotComputeCooccurrencesWithTheSelection;
+	public static String cannotComputeCooccurrencesWithTheCurrentSelectionP0;
 	
 	public static String cannotCreateALexicalTableFromAnIndexCreatedWithACorpusMoreThanOneColumnIsNeeded;
 	
@@ -186,7 +186,7 @@
 	
 	public static String changeCharactersEncoding;
 	
-	public static String changeCharactersEncodingCurrentEncodingColon;
+	public static String changeCharactersEncodingCurrentEncodingColonCurrentP0DefaultP1;
 	
 	public static String characterEncoding;
 	
@@ -1162,7 +1162,7 @@
 
 	public static String WarningOnlyParametersAreClonedManualChangesAreNotTransfered;
 
-	public static String WarningYouNeedAdministratorPrivilegesToFullyUpdateTXM;
+	public static String WarningYouNeedAdministratorPrivilegesToFullyUpdateTXMEtcP0InstalledEtc;
 
 	public static String XMLTXMFilesExportedInP0;
 	
@@ -1260,7 +1260,7 @@
 	
 	public static String LoadBinaryCorporaDirectory_loadingCorporaFromTheP0Directory;
 	
-	public static String LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoadIn;
+	public static String LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoadInP0;
 	
 	public static String selectAnotherTXMCorporaToRestore;
 	
@@ -1310,11 +1310,11 @@
 	
 	public static String SourceDirectoryPage_10;
 	
-	public static String SourceDirectoryPage_11;
+	public static String theP0CorpusWillBeReplaced;
 	
-	public static String SourceDirectoryPage_12;
+	public static String theP0CorpusWillBeRestarted;
 	
-	public static String SourceDirectoryPage_13;
+	public static String theP0CorpusWillBeCreated;
 	
 	public static String SourceDirectoryPage_14;
 	
@@ -1414,7 +1414,7 @@
 
 	public static String DownloadP0;
 
-	public static String DoYouWantToStartADiagnosticOfYourCorporaEtc;
+	public static String DoYouWantToStartADiagnosticOfYourCorporaEtcP0FileEtc;
 
 	public static String NoCommandFoundWithNameP0;
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3885)
@@ -74,7 +74,7 @@
 					Log.fine("Testing install directory rights: " + installDirectory); //$NON-NLS-1$
 					if (!installDirectory.canWrite() || !installDirectory.canExecute()) {
 						Log.warning(NLS.bind(
-								TXMUIMessages.WarningYouNeedAdministratorPrivilegesToFullyUpdateTXM,
+								TXMUIMessages.WarningYouNeedAdministratorPrivilegesToFullyUpdateTXMEtcP0InstalledEtc,
 								installDirectory));
 						return null;
 					}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 3885)
@@ -229,7 +229,7 @@
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		}
 		catch (CqiClientException e) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, Log.toString(e)));
 			return null;
 		}
 		structuralUnitsFinal = new ArrayList<>();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 3885)
@@ -72,7 +72,7 @@
 			Shell sh = SWTUtils.getShell(te);
 			InputDialog dlg = new InputDialog(sh,
 					TXMUIMessages.changeCharactersEncoding,
-					TXMCoreMessages.bind(TXMUIMessages.changeCharactersEncodingCurrentEncodingColon, currentEncoding, defaultEncoding),
+					TXMCoreMessages.bind(TXMUIMessages.changeCharactersEncodingCurrentEncodingColonCurrentP0DefaultP1, currentEncoding, defaultEncoding),
 					currentEncoding, null);
 			if (dlg.open() == Window.OK) {
 				String newEncoding = dlg.getValue();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/Load080BinaryCorpus.java	(revision 3885)
@@ -70,7 +70,7 @@
 		if (monitor != null) monitor.subTask(TXMUIMessages.extractingBinaryCorpus);
 		
 		if (!canLoad(zipFile)) {
-			Log.severe(NLS.bind(TXMUIMessages.binaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile, zipFile.getName()));
+			Log.severe(NLS.bind(TXMUIMessages.theP0BinaryCorpusIsNotATXM080CorpusNoSettingsNorProjectFile, zipFile.getName()));
 			return null;
 		}
 		
@@ -121,7 +121,7 @@
 			String mainCorpusName = mainCorpusDirs[0].getName();
 			p = Toolbox.workspace.getProject(mainCorpusName);
 			if (p != null) {
-				Log.severe(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists, corpusDirectory, mainCorpusName));
+				Log.severe(NLS.bind(TXMUIMessages.abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists, corpusDirectory, mainCorpusName));
 				DeleteDir.deleteDirectory(corpusDirectory); // clean files
 				return null;
 			}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3885)
@@ -273,7 +273,7 @@
 
 				// return "not a txm corpus (" + f + ")";//$NON-NLS-1$ //$NON-NLS-2$
 			}
-		}, TXMUIMessages.bind(TXMUIMessages.LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoadIn, directory));
+		}, TXMUIMessages.bind(TXMUIMessages.LoadBinaryCorporaDirectory_selectTheTXMCorpusToLoadInP0, directory));
 		// lsd.setInitialSelections(files);
 		lsd.setTitle(TXMUIMessages.LoadBinaryCorporaDirectory_corpusLoad);
 		if (lsd.open() == ListSelectionDialog.OK) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 3885)
@@ -340,7 +340,7 @@
 			String mainCorpusName = mainCorpusDirs[0].getName();
 			p = Toolbox.workspace.getProject(mainCorpusName);
 			if (p != null) {
-				Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfPOACorpusWithTheSameCQPIDAlreadyExists, corpusDirectory, mainCorpusName));
+				Log.warning(NLS.bind(TXMUIMessages.abortingLoadingOfP1ACorpusWithTheSameCQPIDP1AlreadyExists, corpusDirectory, mainCorpusName));
 				return null;
 			}
 		}
